
package com.lideeyunji.tool.framework.sql.entity;


import com.lideeyunji.tool.framework.sql.build.ISQLExpression;
import com.lideeyunji.tool.framework.sql.build.buildmodel.SQLInterpretContext;
import com.lideeyunji.tool.framework.sql.chain.entity.TenantIdFilterEntity;
import com.lideeyunji.tool.framework.sql.core.model.SqlFormatModel;


public class SqlInfoEntity extends SqlResultEntity {

    //表达式
    private ISQLExpression<SqlFormatModel> sqlExpression;
    //sql参数上下文
    private SQLInterpretContext context;

    //责任链模式参数
    private String sql;
    //sql解析等级 设置了的话，就单独使用某一个等级
    private Integer sqlParserLevel;

    //租户相关条件过滤
    private TenantIdFilterEntity tenantIdFilterEntity;


    public ISQLExpression<SqlFormatModel> getSqlExpression() {
        return sqlExpression;
    }

    public void setSqlExpression(ISQLExpression<SqlFormatModel> sqlExpression) {
        this.sqlExpression = sqlExpression;
    }

    public SQLInterpretContext getContext() {
        return context;
    }

    public void setContext(SQLInterpretContext context) {
        this.context = context;
    }

    public String getSql() {
        return sql;
    }

    public void setSql(String sql) {
        this.sql = sql;
    }

    public TenantIdFilterEntity getTenantIdFilterEntity() {
        return tenantIdFilterEntity;
    }

    public void setTenantIdFilterEntity(TenantIdFilterEntity tenantIdFilterEntity) {
        this.tenantIdFilterEntity = tenantIdFilterEntity;
    }

    public Integer getSqlParserLevel() {
        return sqlParserLevel;
    }

    public void setSqlParserLevel(Integer sqlParserLevel) {
        this.sqlParserLevel = sqlParserLevel;
    }
}
